Subject: Re: [PWE3] VPLS draft and PWE3-Ethernet draft are too confused.

From: Luca Martini <[email-masked]>
Date: Tue, 03 Jan 2006 11:54:56 -0700

Fengger wrote:
>
> All,
>
> It seems to me, throughout the [PWE3-Ethernet] draft, the description 
> about raw-mode and tagged-mode are often inconsistent.
>
> Especially, compared it with the draft l2vpn-vpls-ldp-08, there are 
> too much inconsistency.
>
> My confused points are:
>
> 1. Does raw-mode PW exactly mean Ethernet PW and tagged mode PW 
> exactly mean Ethernet Vlan PW?
>
yes.
>
> If it does, as I understand, Ethernet PW means port to port PW and 
> Ethernet Vlan PW means [port,vlan] to [port,vlan] PW.
>
> Then as a consequence, raw-mode PW means port to port PW and tagged 
> mode PW means [port,vlan] to [port,vlan] PW.
>
> It seems the [PWE3-Ethernet], section 4.1-4.2 has confirmed my this 
> understand.
>
> But please read the draft l2vpn-vpls-ldp-08.txt, section 7 and section 
> 8, it seems that in the Ethernet PW(that’s raw mode),
>
> The service delimiting(generally, it’s the vlan tag) still be be used 
> to identify the customer and/or the particular SERVICE of that customer,
>
> That means the service delimitor can be used to map into a PW, right? 
> As a consequence, in the raw mode, between port(on ingress PE) to 
> port(on the egress PE)
>
> There can be more than one PW existed, right?
>
The easiest way to think about this is to consider the fact that we can 
have any number of ethernet switching functions in front of a raw mode 
ethernet PW. This does not change the PW type , but might be confusing.

> And more, in the l2vpn-vpls-ldp-08.txt, section 10, it says, if there 
> are n PE participated in a VPLS instance, there can be n*(n-1)/2 PWs 
> in the full mess case.
>
> So I can conclude, there is only one PW between each PE pair.
>
> 2. Certainly, maybe all the description is consistent actually. All 
> the confuse are caused by my misunderstanding. So I want to confirm 
> some points.
>
> 1) Does the raw-mode or tagged mode PW have some certain relationship 
> with the hierarchy VPLS?
>
no.
>
> 2) Does the raw-mode only mean the service delimiting tag must not be 
> carried in the PW while the tagged-mode only mean the service 
> delimiting tag must be carried in the PW?
>
Service delimiting is only defined at the AC boundary with reference to 
the service provider. Hence a Raw PW may carry a customer tag , which 
maybe be service delimiting from the customer point of view , but is not 
from the SP point of view.
your point is correct.
>
> Don’t they mean anything else? Then why does in the [PWE3-Ethernet], 
> section 4,1, it say: this mode(tagged mode) uses service-delimiting 
> tags to map input Ethernet frames to
>

> Respective PWs………..”, my understanding to it is: the tagged mode also 
> means the PW is determined by both port and vlan while the raw mode 
> also means the PW is determined
>
> only by the port.
>
No , the port has little to do with it. If you put a virtual ethernet 
switch in front of the PW , what is a port then ?
In the usual application a tagged mode PW id attached to a single port/vlan.
The VPLS definition always uses RAW ethernet PWs to transit across the 
PSN. However access to the VPLS can consist of a number of different 
methods, including another PW, or just a vlan from some ethernet switch.

> These days, I am almost crazy about these questions. Expect somebody 
> help me escape from this status.
>
;-)
Luca

> / /
>
> /Fengger///
>
> /Software Engineer///
>
> /SuZhou CentecNetworks Ltd.,Co///
>
> /13906214156///
>
> ------------------------------------------------------------------------
>
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
>   

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: "Fengger" <[email-masked]>
Date: Wed, 4 Jan 2006 14:46:35 +0800

Thank Martini.

But I still feel confused about some concept in the [PWE3-Ethernet] and vpls
draft.
So, would you like so kindly to answer my below questions so that I can
confirm them?

1.In [PWE3-Ethernet], section 4.2, it says" In this mode(raw mode) all
Ethernet frames received on the attachment circuit of PE1 will be
transmitted to PE2 on a single PW". Why does it emphasize the "single PW"?
Does it mean between PE1 and PE2, there is only ONE SINGLE PW connecting the
two AC? Then in this case, can the AC be represented by a port or by a vlan?
And as a consequence, there should be another case, that all Ethernet fram
received on the attachment circuit of PE1 will be transmitted to PE2 on
multiple PW? Actually, maybe I want to know
all the exact difference between raw mode and tagged mode. It seems the
differences are not only about tagging or not, but also about if the PW is
mapped from service delimiting or not.
2. You said that VPLS always uses raw mode. Then why in
l2vpn-vpls-ldp-08.txt, section 7 is about "Data Forwarding on the Ethernet
PW" and section 8 is about "Data forwarding on the Ethernet Vlan PW"? Do you
mean herein, both the "Ethernet PW" and "Ethernet Vlan PW" are raw mode PW?
But in the first email, you confirm that raw mode PW exactly mean Ethernet
PW and tagged mode PW exactly mean Ethernet vlan PW.
3. In the RFC3916, section 4.1.3, it says " If a service in its native form
is capable of grouping multiple circuits into a "trunk", e.g., multiple ATM
VCCs in a VPC or multiple Ethernet 802.1Q interfaces in a port, some
mechanism SHOULD be provided so that a single PW can be used to connect two
end-trunks"
Does this requirement correspond to the raw mode(only consider the Ethernet
cases)? If it does, then I understand so: there are more than one AC(vlan
AC) mapped to one single PW, right? And is the vlan-tag service delimiting?
4. in the [PWE3-Ethernet], section 4.4.1, it says "whether the tag is
service delimiting or not, is determined by local configuration on the PE".
Then I want to know, in which case, the PE must configure it as service
delimiting and in which case it must not?
5. In the [PWE3-Ethernet], section 4.1, it says "This mode(tagged mode) uses
service-delimiting tags to map input Ethernet frames to respective PWs".
Does it mean "this mode MUST use......." or "this mode may use"?
Or maybe I can ask so:
In the tagged mode, can more than one service-delimiting tag be mapped to a
single PW? If not, that means PW itself can be used to identify the
different service by Egress PE. Then why is the service delimiting needed to
be tagged with the frame transmitted on the PW? If it can, then how do
explain the above words?

6. In which application will the tagged mode be used?

I am sorry if the questions are too many and too foolish. But I still expect
the clear answers about them.

Thanks and BR.

-----邮件原件-----
发件人: Luca Martini [mailto:[email-masked]] 
发送时间: 2006年1月4日 2:55
收件人: Fengger
抄送: [email-masked]
主题: Re: [PWE3] VPLS draft and PWE3-Ethernet draft are too confused.

yes.

no.

;-)
Luca